#!/usr/bin/env python

#######################################################################

DM_PROCESSING_STATUS_ANY = 'any'
DM_PROCESSING_STATUS_PENDING = 'pending'
DM_PROCESSING_STATUS_RUNNING = 'running'
DM_PROCESSING_STATUS_FINALIZING = 'finalizing'
DM_PROCESSING_STATUS_DONE = 'done'
DM_PROCESSING_STATUS_FAILED = 'failed'
DM_PROCESSING_STATUS_SKIPPED = 'skipped'
DM_PROCESSING_STATUS_ABORTING = 'aborting'
DM_PROCESSING_STATUS_ABORTED = 'aborted'

DM_ALLOWED_PROCESSING_STATUS_LIST = [
    DM_PROCESSING_STATUS_ANY,
    DM_PROCESSING_STATUS_PENDING,
    DM_PROCESSING_STATUS_RUNNING,
    DM_PROCESSING_STATUS_FINALIZING,
    DM_PROCESSING_STATUS_DONE,
    DM_PROCESSING_STATUS_FAILED,
    DM_PROCESSING_STATUS_SKIPPED,
    DM_PROCESSING_STATUS_ABORTING,
    DM_PROCESSING_STATUS_ABORTED
]

DM_INACTIVE_PROCESSING_STATUS_LIST = [
    DM_PROCESSING_STATUS_DONE,
    DM_PROCESSING_STATUS_FAILED,
    DM_PROCESSING_STATUS_SKIPPED,
    DM_PROCESSING_STATUS_ABORTED
]

DM_ACTIVE_PROCESSING_STATUS_LIST = [
    DM_PROCESSING_STATUS_PENDING,
    DM_PROCESSING_STATUS_RUNNING,
    DM_PROCESSING_STATUS_FINALIZING,
    DM_PROCESSING_STATUS_ABORTING
]
